Runing in my home I have a 3 Node Proxmox Cluster running VMs and CTs

Basic List of Current VMs
- docker.internal.tgj.services
- pbs.internal.tgj.services
- haos.internal.tgj.services
- omada.internal.tgj.services
- winbows.internal.tgj.services
- gitea-runner.internal.tgj.services
- gns3.inernal.tgj.services
- storage.internal.tgj.services
- media.internal.tgj.services

TGJ-Node-1
```mermaid
flowchart TD
        B[VMs]
            B --> BA[storage.internal]
                BA -->|Boot Disk| DA
                BA -->|Storage Blob| DB
            B --> BB[winbows.internal]
                BB -->|Boot Disk| DB
            B --> BC[main-vm.swittcorp]
                BC -->|Boot Disk| DD
            B --> BD[petegregory.net]
                BD -->|Boot Disk| DD
                BD -->|Storage Blob| DD
            B --> BE[pbs.internal]
                BE -->|Boot Disk| DA
                BE --> |NBD Storage| DB
                BE --> |PBS Storage| DD
            B --> BF[docker.internal]
                BF -->|Boot Disk| DA
                BF -->|Storage Blob| DB
        C[CTs]
        D[Datastores]
            D --> DA[local-lvm]
            D --> DB[JBOD-LARGER]
            D --> DC[R1-SAS]
            D --> DD[R6-SAS]
```
TGJ-Node-2
```mermaid
flowchart TD
       AB[VMs]
            AB --> ABA[gitea-runner.internal]
                ABA -->|Boot Disk| ADA
            AB --> ABB[gns3.internal]
                ABB -->|Boot Disk| ADA
            AB --> ABC[pterodactyl.internal]
                ABC -->|Boot Disk| ADA
        AC[CTs]
            AC --> ACA[media.internal]
                ACA -->|Boot Disk| ADA
        AD[Datastores]
            AD --> ADA[local-lvm]
```
TGJ-Node-3
```mermaid
flowchart TD
        AAB[VMs]
            AAB --> AABA[omada.internal]
                AABA -->|Boot Disk| AADA
            AAB --> AABB[haos.internal]
                AABB -->|Boot Disk| AADA
        AAC[CTs]
        AAD[Datastores]
            AAD --> AADA[local-lvm]
```